Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC
Bug 96948 - Long delays (blocks) with KDE 3.4.1 under Linux 2.6.12
Summary: Long delays (blocks) with KDE 3.4.1 under Linux 2.6.12
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] KDE (show other bugs)
Hardware: All Other
: High normal (vote)
Assignee: Gentoo Kernel Bug Wranglers and Kernel Maintainers
URL: http://marc.theaimsgroup.com/?t=11208...
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-06-24 08:40 UTC by Santtu Pajukanta
Modified: 2005-07-13 02:43 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Santtu Pajukanta 2005-06-24 08:40:00 UTC
I'm having severe problems with KDE 3.4.1 under Linux 2.6.12 (gentoo-sources-2.6.12 and -r1). I'm experiencing long delays (up to 5 minutes) in at least the following points: 
 
 1. starting KDE, in the "Initializing system services" part. The second icon in the splash screen just keeps flashing for a long time, then the splash screen disappears, and then after 5 minutes or so the desktop finally appears. 
 
 2. trying to save or open a file from any KDE application for the first time during a session. The application in question just blocks for a long time, but finally *does* open the save/open file dialog. 
 
 3. opening an email message in Kontact/KMail for the first time during a session. Kontact blocks for a long time but also eventually opens the message. 
 
 The problems occur on two computers of mine. One is an AMD Athlon XP 2500+ desktop machine with 1024 MiB RAM and the other is an AMD Athlon XP-M 2800+ laptop with 512 MiB RAM. On both machines I'm using CFLAGS="-O3 -march=athlon-xp -fomit-frame-pointer -pipe" and LDFLAGS="-Wl,-O1". On the desktop machine I also tried rebuilding KDE with no LDFLAGS and -O2 instead of -O3, but this didn't fix the problem. I also tried creating a new user on the desktop computer, but it had the same problems with KDE, so there should be nothing wrong with my KDE profile (.kde) directory. 
 
The lamest thing is that this misbehaviour only occurs under Linux 2.6.12. Under 2.6.11 (gentoo-sources-2.6.11-r9) everything works fine.

emerge info output of both machines follows:

DESKTOP:

Portage 2.0.51.19 (default-linux/x86/2005.0, gcc-3.3.5-20050130, glibc-2.3.4.20041102-r1, 2.6.12-gentoo i686)
=================================================================
System uname: 2.6.12-gentoo i686 AMD Athlon(TM) XP 2500+
Gentoo Base System version 1.6.12
Python:              dev-lang/python-2.1.3-r1,dev-lang/python-2.2.3-r5,dev-lang/python-2.3.5 [2.3.5 (#1, Apr 29 2005, 13:17:24)]
distcc 2.18.3 i686-pc-linux-gnu (protocols 1 and 2) (default port 3632) [disabled]
ccache version 2.3 [enabled]
dev-lang/python:     2.1.3-r1, 2.2.3-r5, 2.3.5
sys-apps/sandbox:    [Not Present]
sys-devel/autoconf:  2.59-r6, 2.13
sys-devel/automake:  1.7.9-r1, 1.8.5-r3, 1.5, 1.4_p6, 1.6.3, 1.9.5
sys-devel/binutils:  2.15.92.0.2-r10
sys-devel/libtool:   1.5.16
virtual/os-headers:  2.6.8.1-r2, 2.4.19-r1
ACCEPT_KEYWORDS="x86"
AUTOCLEAN="yes"
CFLAGS="-O3 -march=athlon-xp -pipe -fomit-frame-pointer"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/2/share/config /usr/kde/3.4/env /usr/kde/3.4/share/config /usr/kde/3.4/shutdown /usr/kde/3/share/config /usr/lib/X11/xkb /usr/lib/mozilla/defaults/pref /usr/share/config /usr/share/texmf/dvipdfm/config/ /usr/share/texmf/dvips/config/ /usr/share/texmf/tex/generic/config/ /usr/share/texmf/tex/platex/config/ /usr/share/texmf/xdvi/ /var/qmail/control"
CONFIG_PROTECT_MASK="/etc/gconf /etc/terminfo /etc/env.d"
CXXFLAGS="-O3 -march=athlon-xp -pipe -fomit-frame-pointer"
DISTDIR="/usr/portage/distfiles"
FEATURES="autoaddcvs autoconfig candy ccache distlocks sandbox sfperms strict userpriv usersandbox"
GENTOO_MIRRORS="http://mirrors.paivola.fi/gentoo/ http://trumpetti.atm.tut.fi/gentoo/"
LC_ALL="fi_FI"
LDFLAGS="-Wl,-O1"
MAKEOPTS="-j2"
PKGDIR="/usr/portage/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage"
SYNC="rsync://rsync.europe.gentoo.org/gentoo-portage"
USE="x86 3dnow X aalib alsa apache2 apm arts avi berkdb bitmap-fonts bluetooth cdr crypt cups curl dvd dvdr emacs emboss encode fam flac foomaticdb fortran gd gdbm ggi gif gpm gtk gtk2 ieee1394 imagemagick imlib ipv6 java jpeg junit kde ldap libg++ libwww mad matroska mikmod mmx motif mozilla mp3 mpeg ncurses network nls nptl nptlonly nvidia ogg oggvorbis opengl oss pam pdflib perl png postgres python qt quicktime readline samba sdl slang speex spell sqlite sse ssl svga tcltk tcpd tetex theora tiff truetype truetype-fonts type1-fonts vorbis xine xml xml2 xmms xv xvid zlib video_cards_nvidia userland_GNU kernel_linux elibc_glibc"
Unset:  ASFLAGS, CBUILD, CTARGET, LANG, LINGUAS



LAPTOP:

Portage 2.0.51.19 (default-linux/x86/2005.0, gcc-3.3.5-20050130, glibc-2.3.4.20041102-r1, 2.6.11-gentoo-r9 i686)
=================================================================
System uname: 2.6.11-gentoo-r9 i686 mobile AMD Athlon(tm) XP2800+
Gentoo Base System version 1.6.12
Python:              dev-lang/python-2.3.5 [2.3.5 (#1, Apr 30 2005, 22:19:18)]
ccache version 2.3 [enabled]
dev-lang/python:     2.3.5
sys-apps/sandbox:    [Not Present]
sys-devel/autoconf:  2.59-r6, 2.13
sys-devel/automake:  1.7.9-r1, 1.8.5-r3, 1.5, 1.4_p6, 1.6.3, 1.9.5
sys-devel/binutils:  2.15.92.0.2-r10
sys-devel/libtool:   1.5.16
virtual/os-headers:  2.6.8.1-r2
ACCEPT_KEYWORDS="x86"
AUTOCLEAN="yes"
CFLAGS="-march=athlon-xp -O3 -pipe -fomit-frame-pointer"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/2/share/config /usr/kde/3/share/config /usr/share/config /var/qmail/control"
CONFIG_PROTECT_MASK="/etc/gconf /etc/env.d"
CXXFLAGS="-march=athlon-xp -O3 -pipe -fomit-frame-pointer"
DISTDIR="/usr/portage/distfiles"
FEATURES="autoaddcvs autoconfig candy ccache distlocks sandbox sfperms strict userpriv usersandbox"
GENTOO_MIRRORS="http://trumpetti.atm.tut.fi/gentoo"
LDFLAGS="-Wl,-O1"
LINGUAS="fi"
MAKEOPTS="-j2"
PKGDIR="/usr/portage/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage"
SYNC="rsync://rsync.europe.gentoo.org/gentoo-portage"
USE="x86 3dnow X acpi alsa arts avi berkdb bitmap-fonts cdr crypt cups curl dvd emboss encode f77 fam flac foomaticdb fortran gcj gd gdbm gif gpm gtk gtk2 imagemagick imlib ipv6 jpeg kde libg++ libwww mad matroska mikmod mmx motif mp3 mpeg ncurses network nls nptl nptlonly ogg oggvorbis opengl oss pam pdflib perl png postgres python qt quicktime readline samba sdl slang spell sse ssl subversion svga tcpd tetex theora tiff truetype truetype-fonts type1-fonts vorbis wifi xine xml2 xmms xv zlib linguas_fi userland_GNU kernel_linux elibc_glibc"
Unset:  ASFLAGS, CBUILD, CTARGET, LANG, LC_ALL
Comment 1 Dominik Stadler (RETIRED) gentoo-dev 2005-06-25 23:09:39 UTC
Sounds like it could be some sort of timeout. Do you have any network shares on
your machines? Any special hardware attached?

From the description, it sounds like after the initial long period of time, the
operation then works without delay, right? Also after a machine is idle for some
time?
Comment 2 Santtu Pajukanta 2005-06-26 01:21:26 UTC
(In reply to comment #1) 
> Sounds like it could be some sort of timeout. Do you have any network shares 
on 
> your machines? Any special hardware attached? 
I don't have any NFS or SMB etc. shares mounted. The most special hardware I 
have might be an IEEE-1394 hard disk and an USB Bluetooth dongle (used with 
kdebluetooth). 
 
> From the description, it sounds like after the initial long period of time, 
the 
> operation then works without delay, right? Also after a machine is idle for 
some 
> time? 
Dunno, I must try that out once I get to my other machine. 
 
Comment 3 Karl Tomlinson 2005-06-28 00:53:13 UTC
Very similar issues with gentoo-sources-2.6.12-r1 and kdebase-3.3.2-r3. 
Also, the K menu takes a long time to start first up. 
The K menu works without delay after the first long delay. 
Closing the session and reopening means the delays happen again. 
 
All filesystems on the local disk. 
The system hasn't been idle long enough to really see whether idle time makes a 
difference. 
 
Comment 4 Karl Tomlinson 2005-06-28 18:33:22 UTC
During the "initializing system services" delay, netstat reports  
  
Proto Recv-Q Send-Q Local Address  Foreign Address  State   PID/Program name  
tcp      0      1  127.0.0.1:50359 127.0.0.1:111  SYN_SENT 12523/kdesktop [kde  
  
And during the Kmenu delay  
  
tcp      0      1  127.0.0.1:48136 127.0.0.1:111  SYN_SENT 12565/kicker [kdein  
  
so I stopped init.d/iptables and the delays no longer happened.  
  
I added the following simple firewall  
  
# Generated by iptables-save v1.2.11 on Wed Jun 29 08:39:32 2005  
*filter  
:INPUT ACCEPT [6:360]  
:FORWARD ACCEPT [0:0]  
:OUTPUT ACCEPT [62:3100]  
:drop-invalid - [0:0]  
-A INPUT -m state --state INVALID -j drop-invalid  
-A drop-invalid -j LOG --log-prefix "invalid packet: "  
-A drop-invalid -j DROP  
COMMIT  
  
and the delays happened again with the following invalid packets detected  
  
Jun 29 08:40:22 warning [4296892.721000] invalid packet: IN=lo OUT=  
MAC=00:00:00:00:00:00:00:00:00:00:00:00:08:00 SRC=127.0.0.1 DST=127.0.0.1  
LEN=40 TOS=0x00 PREC=0x00 TTL=64 ID=75 DF PROTO=TCP SPT=111 DPT=39392 WINDOW=0  
RES=0x00 ACK RST URGP=0  
Jun 29 08:40:25 warning [4296895.721000] invalid packet: IN=lo OUT=  
MAC=00:00:00:00:00:00:00:00:00:00:00:00:08:00 SRC=127.0.0.1 DST=127.0.0.1  
LEN=40 TOS=0x00 PREC=0x00 TTL=64 ID=76 DF PROTO=TCP SPT=111 DPT=39392 WINDOW=0  
RES=0x00 ACK RST URGP=0  
Jun 29 08:40:31 warning [4296901.721000] invalid packet: IN=lo OUT=  
MAC=00:00:00:00:00:00:00:00:00:00:00:00:08:00 SRC=127.0.0.1 DST=127.0.0.1  
LEN=40 TOS=0x00 PREC=0x00 TTL=64 ID=77 DF PROTO=TCP SPT=111 DPT=39392 WINDOW=0  
RES=0x00 ACK RST URGP=0  
Jun 29 08:40:43 warning [4296913.721000] invalid packet: IN=lo OUT=  
MAC=00:00:00:00:00:00:00:00:00:00:00:00:08:00 SRC=127.0.0.1 DST=127.0.0.1  
LEN=40 TOS=0x00 PREC=0x00 TTL=64 ID=78 DF PROTO=TCP SPT=111 DPT=39392 WINDOW=0  
RES=0x00 ACK RST URGP=0  
Jun 29 08:41:07 warning [4296937.721000] invalid packet: IN=lo OUT=  
MAC=00:00:00:00:00:00:00:00:00:00:00:00:08:00 SRC=127.0.0.1 DST=127.0.0.1  
LEN=40 TOS=0x00 PREC=0x00 TTL=64 ID=79 DF PROTO=TCP SPT=111 DPT=39392 WINDOW=0  
RES=0x00 ACK RST URGP=0  
Jun 29 08:41:55 warning [4296985.722000] invalid packet: IN=lo OUT=  
MAC=00:00:00:00:00:00:00:00:00:00:00:00:08:00 SRC=127.0.0.1 DST=127.0.0.1  
LEN=40 TOS=0x00 PREC=0x00 TTL=64 ID=80 DF PROTO=TCP SPT=111 DPT=39392 WINDOW=0  
RES=0x00 ACK RST URGP=0  
Jun 29 08:43:34 warning [4297084.999000] invalid packet: IN=lo OUT=  
MAC=00:00:00:00:00:00:00:00:00:00:00:00:08:00 SRC=127.0.0.1 DST=127.0.0.1  
LEN=40 TOS=0x00 PREC=0x00 TTL=64 ID=81 DF PROTO=TCP SPT=111 DPT=46785 WINDOW=0  
RES=0x00 ACK RST URGP=0  
Jun 29 08:43:37 warning [4297088.001000] invalid packet: IN=lo OUT=  
MAC=00:00:00:00:00:00:00:00:00:00:00:00:08:00 SRC=127.0.0.1 DST=127.0.0.1  
LEN=40 TOS=0x00 PREC=0x00 TTL=64 ID=82 DF PROTO=TCP SPT=111 DPT=46785 WINDOW=0  
RES=0x00 ACK RST URGP=0  
Jun 29 08:43:43 warning [4297094.001000] invalid packet: IN=lo OUT=  
MAC=00:00:00:00:00:00:00:00:00:00:00:00:08:00 SRC=127.0.0.1 DST=127.0.0.1  
LEN=40 TOS=0x00 PREC=0x00 TTL=64 ID=83 DF PROTO=TCP SPT=111 DPT=46785 WINDOW=0  
RES=0x00 ACK RST URGP=0  
Jun 29 08:43:55 warning [4297106.001000] invalid packet: IN=lo OUT=  
MAC=00:00:00:00:00:00:00:00:00:00:00:00:08:00 SRC=127.0.0.1 DST=127.0.0.1  
LEN=40 TOS=0x00 PREC=0x00 TTL=64 ID=84 DF PROTO=TCP SPT=111 DPT=46785 WINDOW=0  
RES=0x00 ACK RST URGP=0  
Jun 29 08:44:19 warning [4297130.001000] invalid packet: IN=lo OUT=  
MAC=00:00:00:00:00:00:00:00:00:00:00:00:08:00 SRC=127.0.0.1 DST=127.0.0.1  
LEN=40 TOS=0x00 PREC=0x00 TTL=64 ID=85 DF PROTO=TCP SPT=111 DPT=46785 WINDOW=0  
RES=0x00 ACK RST URGP=0  
Jun 29 08:45:07 warning [4297178.001000] invalid packet: IN=lo OUT=  
MAC=00:00:00:00:00:00:00:00:00:00:00:00:08:00 SRC=127.0.0.1 DST=127.0.0.1  
LEN=40 TOS=0x00 PREC=0x00 TTL=64 ID=86 DF PROTO=TCP SPT=111 DPT=46785 WINDOW=0  
RES=0x00 ACK RST URGP=0  
Jun 29 08:46:51 warning [4297281.412000] invalid packet: IN=lo OUT=  
MAC=00:00:00:00:00:00:00:00:00:00:00:00:08:00 SRC=127.0.0.1 DST=127.0.0.1  
LEN=40 TOS=0x00 PREC=0x00 TTL=64 ID=87 DF PROTO=TCP SPT=111 DPT=46786 WINDOW=0  
RES=0x00 ACK RST URGP=0  
Jun 29 08:46:52 warning [4297282.405000] invalid packet: IN=lo OUT=  
MAC=00:00:00:00:00:00:00:00:00:00:00:00:08:00 SRC=127.0.0.1 DST=127.0.0.1  
LEN=40 TOS=0x00 PREC=0x00 TTL=64 ID=88 DF PROTO=TCP SPT=80 DPT=39197 WINDOW=0  
RES=0x00 ACK RST URGP=0  
Jun 29 08:46:52 warning [4297283.021000] invalid packet: IN=lo OUT=  
MAC=00:00:00:00:00:00:00:00:00:00:00:00:08:00 SRC=127.0.0.1 DST=127.0.0.1  
LEN=40 TOS=0x00 PREC=0x00 TTL=64 ID=89 DF PROTO=TCP SPT=80 DPT=39198 WINDOW=0  
RES=0x00 ACK RST URGP=0  
Jun 29 08:46:54 warning [4297284.412000] invalid packet: IN=lo OUT=  
MAC=00:00:00:00:00:00:00:00:00:00:00:00:08:00 SRC=127.0.0.1 DST=127.0.0.1  
LEN=40 TOS=0x00 PREC=0x00 TTL=64 ID=90 DF PROTO=TCP SPT=111 DPT=46786 WINDOW=0  
RES=0x00 ACK RST URGP=0  
Jun 29 08:46:55 warning [4297285.405000] invalid packet: IN=lo OUT=  
MAC=00:00:00:00:00:00:00:00:00:00:00:00:08:00 SRC=127.0.0.1 DST=127.0.0.1  
LEN=40 TOS=0x00 PREC=0x00 TTL=64 ID=91 DF PROTO=TCP SPT=80 DPT=39197 WINDOW=0  
RES=0x00 ACK RST URGP=0  
Jun 29 08:46:55 warning [4297286.022000] invalid packet: IN=lo OUT=  
MAC=00:00:00:00:00:00:00:00:00:00:00:00:08:00 SRC=127.0.0.1 DST=127.0.0.1  
LEN=40 TOS=0x00 PREC=0x00 TTL=64 ID=92 DF PROTO=TCP SPT=80 DPT=39198 WINDOW=0  
RES=0x00 ACK RST URGP=0  
  
I don't really know much about tcp but it looks like the kernel thinks that  
its own ACK RST reply to the SYN is INVALID. 
(There is no service listening on 111 or 80.) 
  
So it looks like this should be reassigned to the kernel herd  
(unless KDE is doing something wrong in sending the SYN).  
  
A work-around might be to include "-i lo -j ACCEPT" in the INPUT chain, but I  
don't know what is happening with other interfaces. 
Comment 5 Santtu Pajukanta 2005-06-28 22:00:58 UTC
Hmm, I do have "-m STATE --state INVALID -j DROP" before "-i lo -j ACCEPT" in 
my firewall. I'll swap them as a temporary work-around. 
Comment 6 Santtu Pajukanta 2005-07-01 23:31:55 UTC
(In reply to comment #5) 
> Hmm, I do have "-m STATE --state INVALID -j DROP" before "-i lo -j ACCEPT" 
in  
> my firewall. I'll swap them as a temporary work-around.  
 
Having done this, KDE now works also under 2.6.12. 
Comment 7 Gregorio Guidi (RETIRED) gentoo-dev 2005-07-07 09:07:18 UTC
Maybe this is a consequence of the network problem that was fixed in 2.6.12.2? 
(http://www.kernel.org/pub/linux/kernel/v2.6/ChangeLog-2.6.12.2) 
 
Have you tried with newer kernel versions? 
Comment 8 Daniel Drake (RETIRED) gentoo-dev 2005-07-07 09:48:01 UTC
Please test with gentoo-sources-2.6.12-r4
Comment 9 marvin rouge 2005-07-07 13:02:12 UTC
(In reply to comment #8)
> Please test with gentoo-sources-2.6.12-r4

I had the same problem with other apps (gedit, mpd, evidence and quanta). It
happened with gentoo-sources-2.6.12, 2.6.12-r2 and it also happens with 2.6.12-r4.

Swapping "-m STATE --state INVALID -j DROP" and "-i lo -j ACCEPT" worked here.

Comment 10 Daniel Drake (RETIRED) gentoo-dev 2005-07-07 14:01:48 UTC
Please apply this patch and let me know if it helps.

http://linux.bkbits.net:8080/linux-2.6/gnupatch@42c1d78caIDtgsg2ML4ZtOMQrR0mIw
Comment 11 Karl Tomlinson 2005-07-07 17:06:28 UTC
Thanks for the suggestion, but I don't have CONFIG_BRIDGE_NETFILTER 
(nor CONFIG_BRIDGE) defined 
(and the problem still exists with gentoo-sources-2.6.12-r4), 
so I don't think the patch in comment #10 will help. 
 
I tried 
 
  echo 255 >| /proc/sys/net/ipv4/netfilter/ip_conntrack_log_invalid 
 
but I didn't find anything extra in the logs. 
 
Comment 12 marvin rouge 2005-07-08 00:40:24 UTC
I applied the patch from <a href="#c10">comment #10</a> to
gentoo-sources-2.6.12-r4, and the problem still exist. Same as <a
href="#c11">comment #11</a>, I don't have CONFIG_BRIDGE defined.

I don't use KDE, but I have gedit with the same behavior (I will leave evidence
aside, as it's still CVS). I did a strace on gedit, you can find it <a
href="http://rue.gerin.free.fr/screenshots/strace-gedit">here</a> 
It takes around 6 minutes for gedit to start, and it stays blocked ad line #1501:
bind(17, {sa_family=AF_INET, sin_port=htons(790),
sin_addr=inet_addr("0.0.0.0")}, 16) = -1 EACCES (Permission denied)
connect(17, {sa_family=AF_INET, sin_port=htons(111),
sin_addr=inet_addr("127.0.0.1")}, 16) = -1 ETIMEDOUT (Connection timed out)

Comment 13 Daniel Drake (RETIRED) gentoo-dev 2005-07-08 05:14:20 UTC
I'm trying to reproduce this without much luck. Can anyone confirm that I'm
using the right sequence of commands? :

# iptables -P INPUT ACCEPT
# iptables -P OUTPUT ACCEPT
# iptables -P FORWARD ACCEPT
# iptables -A INPUT -m state --state INVALID -j DROP
# iptables -A INPUT -i lo -j ACCEPT

And I should then start seeing these hangs, right?
Comment 14 Daniel Drake (RETIRED) gentoo-dev 2005-07-08 05:23:40 UTC
This is probably because I'm not getting any AF_INET activity according to
strace when opening gedit.

Does anyone know why its trying to use sockets in this scenario? Comment #12
suggests that its trying to listen on port 790 (can't do that because you aren't
root), and then tries to connect to 127.0.0.1:111. Comment #4 confirms activity
on port 111.

/etc/services says port 111 is sunrpc. Anyone know anything about this? Do you
have CONFIG_SUNRPC enabled in your kernels? Can you use netstat to see which
process is listening on port 111?
Comment 15 Karl Tomlinson 2005-07-08 05:47:25 UTC
The firewall in comment #13 looks like it should reproduce the problem 
provided the chains are flushed before you started. 
 
111 is where portmap would be if running but its not. 
 
You can reproduce the problem by ensuring that there is no service on port 80, 
and use a web browser to fetch http://localhost/. 
 
It should respond immediately with "could not connect" or similar, 
but in fact it waits for the connection to time out. 
 
Comment 16 marvin rouge 2005-07-08 06:09:35 UTC
In reply to Comment #14:
I do have CONFIG_SUNRPC in my kernel config, it's induced by CONFIG_NFSD. I can
try to drop CONFIG_NFSD if you think it's relevant.

I did "netstat -c" and then gedit, and this line appeared:
tcp        0      1 ezach.right-here:46037  ezach.right-here:sunrpc SYN_SENT
(ezach is my hostname)

I'm not really at ease with this kind of stuff, so if you need more precise
results, please let me know what I should do.

In reply to Comment #15:
I comfirm that connecting to http://localhost takes a long time before time out,
which was not the case with 2.6.11
Comment 17 Daniel Drake (RETIRED) gentoo-dev 2005-07-08 06:26:19 UTC
(In reply to comment #15)
> You can reproduce the problem by ensuring that there is no service on port 80, 
> and use a web browser to fetch http://localhost/. 
>  
> It should respond immediately with "could not connect" or similar, 
> but in fact it waits for the connection to time out. 

Thanks, I can reproduce it like that. Investigating.
Comment 18 Daniel Drake (RETIRED) gentoo-dev 2005-07-13 02:43:02 UTC
Fixed in gentoo-sources-2.6.12-r5 :)
Thanks for reporting and investigating.